Bug 1421341 - Grace not opening in Fedora 25
Summary: Grace not opening in Fedora 25
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grace
Version: 25
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 08:16 UTC by asckj1
Modified: 2017-12-12 10:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:24:56 UTC
Type: Bug


Attachments (Terms of Use)
core backtrace after grace crashed (4.13 KB, text/plain)
2017-02-11 08:16 UTC, asckj1
no flags Details

Description asckj1 2017-02-11 08:16:28 UTC
Created attachment 1249199 [details]
core backtrace after grace crashed

Description of problem: 

I installed grace plotting software (grace-5.1.25-6.fc24.i686) via yum/dnf install on Fedora 25 (32-bit) OS Workstation Edition without any errors. However, when I open it in terminal via xmgrace I get the following error message:
---
xmgrace: malloc.c:2403: sysmalloc: Assertion `(old_top == initial_top (av) && old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse (old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.
Aborted (core dumped)
---

Please help.

Version-Release number of selected component (if applicable):
grace-5.1.25-6.fc24.i686
 

How reproducible:
always

Steps to Reproduce:
1. Open terminal
2. Type xmgrace

Actual results:
xmgrace: malloc.c:2403: sysmalloc: Assertion `(old_top == initial_top (av) && old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse (old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.
Aborted (core dumped)

Expected results:
Grace GUI should open.

Additional info:
Please see attached file core_backtrace.txt

Comment 1 José Matos 2017-02-15 10:42:29 UTC
Hi,
  I am running on x86-64 and I do not see that problem.

According to a quick search I suspect that there is a memory corruption before that point.

The most helpful option would be to run xmgrade with valgrind to detect where does this corruption happens.

Comment 2 asckj1 2017-04-07 11:19:35 UTC
I tried running xmgrace with valgrind as suggested. The xmgrace window open now with the following information in terminal.

valgrind xmgrace 
==19663== Memcheck, a memory error detector
==19663== Copyright (C) 2002-2015, and GNU GPL'd, by Julian Seward et al.
==19663== Using Valgrind-3.12.0 and LibVEX; rerun with -h for copyright info
==19663== Command: xmgrace
==19663== 
==19663== Invalid write of size 1
==19663==    at 0x7F9BCAC: intT1_GetFileSearchPath (in /usr/lib/libt1.so.5.1.2)
==19663==    by 0x7F969C7: intT1_scanFontDBase (in /usr/lib/libt1.so.5.1.2)
==19663==    by 0x7F9824C: T1_InitLib (in /usr/lib/libt1.so.5.1.2)
==19663==    by 0x15A788: ??? (in /usr/bin/xmgrace)
==19663==    by 0x111495: main (in /usr/bin/xmgrace)
==19663==  Address 0x915073c is 820 bytes inside an unallocated block of size 4,144,096 in arena "client"
==19663== 
==19663== 
==19663== HEAP SUMMARY:
==19663==     in use at exit: 617,003 bytes in 8,619 blocks
==19663==   total heap usage: 15,588 allocs, 6,969 frees, 3,081,580 bytes allocated
==19663== 
==19663== LEAK SUMMARY:
==19663==    definitely lost: 168 bytes in 7 blocks
==19663==    indirectly lost: 0 bytes in 0 blocks
==19663==      possibly lost: 14,058 bytes in 597 blocks
==19663==    still reachable: 602,777 bytes in 8,015 blocks
==19663==         suppressed: 0 bytes in 0 blocks
==19663== Rerun with --leak-check=full to see details of leaked memory
==19663== 
==19663== For counts of detected and suppressed errors, rerun with: -v
==19663== ERROR SUMMARY: 35 errors from 1 contexts (suppressed: 0 from 0)


Sorry I am unable to understand what to do as I am very new to this. Please suggest.

Comment 3 Fedora End Of Life 2017-11-16 19:02:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:24:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.